Subject: bug#75834: [PATCH] Add missing custom :set to savehist-autosave-interval

From: Ship Mints <[email-masked]>
Date: Sat, 1 Feb 2025 08:35:09 -0500

On Sat, Feb 1, 2025 at 8:28 AM Eli Zaretskii <[email-masked]> wrote:

> >
> >  Why do you think an idle timer would be better?
> >
> > I prefer idle timers for this kind of thing as I find auto saving while
> I'm working to be distracting, and
> > occasionally slows me down at least on my slow computer, and barely
> noticeable on my fast one. As not
> > everyone has super fast modern equipment, I'm guessing we prefer to be
> respectful of older setups. I have
> > three autosave timers set up in my configuration, and even one is
> distracting enough.
> >
> > The timer I put in save-place is an idle timer, and now is a good time
> to debate idle vs. absolute timers for
> > these.
>
> A disadvantage of idle timers is that they can miss changes.  This
> might be more significant for the save-place case, since by the time
> Emacs is idle, the file you visited might no longer be visited in any
> buffer.
>

Changes to the save-place-alist in memory are not lost unless there is an
Emacs crash or an abnormal Emacs shutdown. Same
for savehist-minibuffer-history-variables which are accumulated in memory
until persisted.

It's the interval to persist the save-place-alist that we're talking about.
I think using an idle timer in both saveplace and savehist will not cause a
real-world issue. If people are truly concerned about persisting they
should set a very short timer and idleness occurs frequently, in practice.